/* HEADER */
.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--color-bg-light);
  padding: var(--space-md) var(--space-2xl);
  border-bottom: 5px solid transparent;
  border-image: linear-gradient(
      to right,
      var(--color-bg-dark),
      var(--color-primary-dark)
    )
    1;
  position: sticky;
  top: 0;
  z-index: 1000;
  height: auto;
  width: 100%;
}

.logo {
  height: var(--space-lg);
}

/* MAIN NAV */
.header-nav {
  min-width: 0;
}

.main-nav {
  list-style: none;
  display: flex;
  gap: var(--space-xl);
  align-items: center;
}

.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  color: var(--color-text-main);
  font-weight: var(--font-weight-semibold);
  font-size: var(--font-size-md);
  transition: all 300ms;
}

.main-nav-link:hover,
.main-nav-link:active {
  text-decoration: none;
  color: var(--color-primary-dark);
  cursor: pointer;
}

.main-nav-link.nav-cta:link,
.main-nav-link.nav-cta:visited {
  padding: var(--space-md) var(--space-lg);
  border-radius: var(--radius-lg);
  background-color: var(--color-primary);
  color: white;
}

.main-nav-link.nav-cta:hover,
.main-nav-link.nav-cta:active {
  padding: var(--space-md) var(--space-lg);
  border-radius: var(--radius-lg);
  background-color: var(--color-primary-dark);
  color: white;
}

/* MOBILE NAV */
.mobile-nav {
  display: none;
  border: none;
  background: none;
  cursor: pointer;
}

.icon-mobile-nav {
  height: var(--font-size-3xl);
  width: var(--font-size-3xl);
  color: var(--color-primary);
}

.icon-mobile-nav[name="close-outline"] {
  display: none;
}

/* HERO */
.section-hero {
  background-color: var(--color-bg-light);
}

.hero {
  max-width: 150rem;
  margin: 0 auto;
  min-height: 91.5vh;
  padding: var(--space-xl) var(--space-xl);
  display: flex;
  align-items: center;
  gap: var(--space-3xl);
}

.hero-description {
  font-size: var(--font-size-md);
  font-weight: var(--font-weight-regular);
  line-height: var(--line-height-normal);
  color: var(--color-text-muted);
  margin-bottom: var(--space-2xl);
}

.hero-img {
  max-width: 100%;
}

.delivered-meals {
  display: flex;
  align-items: center;
  gap: var(--space-lg);
  margin-top: var(--space-2xl);
}

.delivered-imgs {
  display: flex;
}

.delivered-imgs img {
  display: inline-block;
  height: var(--space-2xl);
  width: var(--space-2xl);
  border-radius: var(--radius-full);
  margin-right: calc(var(--space-md) * -1);
  border: 3px solid var(--color-bg-light);
}

.delivered-imgs img:last-child {
  margin: 0;
}

.delivered-text {
  font-size: var(--font-size-sm);
  font-weight: var(--font-weight-bold);
}

.delivered-text span {
  font-size: var(--font-size-sm);
  font-weight: var(--font-weight-bold);
  color: var(--color-primary-dark);
}

/* FEATURED */
.section-featured-in {
  padding: var(--space-2xl) 0 var(--space-lg) 0;
}

.header-featured-in {
  font-size: var(--font-size-xs);
  text-transform: uppercase;
  letter-spacing: var(--letter-spacing-normal);
  font-weight: var(--font-weight-semibold);
  color: var(--color-text-muted);
  text-align: center;
  margin-bottom: var(--space-lg);
}

.logos {
  display: flex;
  height: var(--space-xl);
  justify-content: space-between;
  gap: var(--space-sm);
}

.logos img {
  height: 80%;
  width: auto;
  max-width: 100%;
  min-width: 0;
  filter: brightness(0);
  opacity: 50%;
}

/* HOW IT WORKS */
.section-how {
  padding: var(--space-3xl) 0;
}

.step-number {
  font-size: var(--font-size-4xl);
  font-weight: var(--font-weight-bold);
  color: var(--color-bg-dark);
  margin-bottom: var(--space-md);
}

.step-description {
  font-size: var(--font-size-md);
  color: var(--color-text-muted);
  line-height: var(--line-height-normal);
}

.step-img-box {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.step-img-box::before {
  content: "";
  display: block;
  width: 60%;
  padding-bottom: 60%;
  border-radius: var(--radius-full);

  background-color: var(--color-bg-light);

  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  z-index: -2;
}

.step-img-box::after {
  content: "";
  display: block;
  width: 50%;
  padding-bottom: 50%;
  border-radius: var(--radius-full);

  background-color: var(--color-bg-dark);

  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  z-index: -1;
}

.step-img {
  width: 40%;
}

/* MEALS */
.section-meals {
  padding: var(--space-3xl) 0;
  background-color: white;
}

.meal {
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.03);
  border-radius: var(--radius-lg);
  overflow: hidden;
  background-color: white;
  width: 75%;
  transition: all 300ms;
}

.meal:hover {
  cursor: pointer;
  transform: translateY(calc(var(--space-sm) * -1));
  box-shadow: 0 3.2rem 6.4rem rgba(0, 0, 0, 0.09);
}

.meal-img {
  width: 100%;
}

.meal-details {
  padding: var(--space-lg) var(--space-xl);
}

.meal-tags {
  margin-bottom: var(--space-sm);
  margin-top: var(--space-sm);
  display: flex;
  gap: var(--space-xs);
}

.tag {
  display: inline-block;
  padding: var(--space-xs) var(--space-sm);
  font-size: var(--font-size-xs);
  font-weight: var(--font-weight-semibold);
  text-transform: uppercase;
  color: var(--color-text-main);
  border-radius: var(--radius-lg);
}

.tag--vegetarian {
  background-color: var(--color-vegetarian);
}

.tag--vegan {
  background-color: var(--color-vegan);
}

.tag--paleo {
  background-color: var(--color-paleo);
}

.meal-title {
  font-size: var(--font-size-lg);
  color: var(--color-text-main);
  font-weight: var(--font-weight-semibold);
  margin-bottom: var(--space-lg);
}

.meal-attributes {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: var(--space-sm);
}

.meal-attribute {
  font-size: var(--font-size-sm);
  display: flex;
  align-items: center;
  gap: var(--space-md);
}

.meal-icon {
  height: var(--space-md);
  width: var(--space-md);
  color: var(--color-primary-dark);
}

.diets {
  padding-bottom: var(--space-lg);
}

.list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: var(--space-sm);
}

.list-item {
  display: flex;
  align-items: center;
  gap: var(--space-sm);
  font-size: var(--font-size-md);
}

.list-icon {
  width: var(--font-size-xl);
  height: var(--font-size-xl);
  color: var(--color-primary);
}

.all-recipes {
  text-align: center;
  font-size: var(--font-size-lg);
}

/* TESTIMONIALS */
.section-testimonials {
  background-color: var(--color-bg-light);
  display: flex;
  justify-content: center;
}

.testimonials {
  display: grid;
  gap: var(--space-3xl);
  grid-template-columns: repeat(2, minmax(0, 1fr));

  max-width: 100%;
  width: 100%;
}

.testimonials-container {
  justify-self: center;
  padding: var(--space-3xl) var(--space-xl) var(--space-3xl) var(--space-3xl);
  grid-template-columns: repeat(2, 1fr);
}

.testimonial {
  max-width: 30rem;
}

.testimonial-img {
  width: var(--space-3xl);
  border-radius: var(--radius-full);
  margin-bottom: var(--space-lg);
}

.testimonial-text {
  font-size: var(--font-size-sm);
  line-height: var(--line-height-normal);
  margin-bottom: var(--space-md);
}

.testimonial-customer {
  font-size: var(--font-size-sm);
  color: var(--color-text-muted);
}

.gallery {
  justify-self: center;
  align-self: center;
  display: grid;
  align-content: space-evenly;
  justify-content: space-evenly;
  grid-template-columns: repeat(3, 1fr);
  gap: var(--space-lg);
  padding: var(--space-3xl) var(--space-xl) var(--space-3xl) var(--space-xl);

  max-width: 40%;

  /* max-width: 100%;
  width: 40%; */
}

.gallery-item {
  width: 100%;
  aspect-ratio: 1 / 1;
  overflow: hidden;
  transition: all 0.4s;
}

.gallery-img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: var(--radius-lg);
}

.gallery-item:hover {
  cursor: pointer;
  transform: scale(1.1);
}

/* PLANS */
.section-plans {
  padding: var(--space-3xl) 0;
  background-color: white;
}

.pricing-plan {
  display: flex;
  flex-direction: column;
  background-color: white;
  border-radius: var(--radius-lg);
  box-shadow: 0px 0px 2rem rgba(0, 0, 0, 0.1);
  max-width: 35rem;
  padding: var(--space-xl) var(--space-2xl);
  justify-self: center;
}

.pricing-plan--complete {
  background-color: var(--color-bg-light);
  position: relative;
  overflow: hidden;
}

.pricing-plan--complete::after {
  content: "Best Value";
  position: absolute;
  top: 0;
  right: 0;
  transform: translate(3.5rem, 3rem) rotate(45deg);

  text-transform: uppercase;
  font-size: var(--font-size-sm);
  font-weight: var(--font-weight-bold);
  background-color: rgb(255, 213, 0);
  padding: var(--space-xs) var(--space-xl);
}

.plan-header {
  text-align: center;
  margin-bottom: var(--space-2xl);
}

.plan-name {
  color: var(--color-primary-dark);
  font-weight: var(--font-weight-bold);
  font-size: var(--font-size-lg);
  text-transform: uppercase;
  letter-spacing: var(--letter-spacing-wide);
  margin-bottom: var(--space-lg);
}

.plan-price {
  font-size: var(--font-size-4xl);
  font-weight: var(--font-weight-bold);
  color: var(--colo);
  margin-bottom: var(--space-sm);
}

.plan-price span {
  font-size: var(--font-size-3xl);
  margin-right: var(--space-sm);
}

.plan-text {
  font-size: var(--font-size-sm);
  color: var(--color-text-muted);
  font-weight: var(--font-weight-normal);
}

.plan-features {
  display: flex;
  flex-direction: column;
  /* justify-content: center; */
  align-items: center;
}

.plan-signup {
  margin-top: auto;
  padding-top: var(--space-2xl);
  justify-content: flex-end;
  align-self: center;
}

.plan-details {
  font-size: var(--font-size-sm);
  line-height: var(--line-height-normal);
  text-align: center;
  color: var(--color-text-muted);
}

.feature-title {
  font-size: var(--font-size-xl);
  color: var(--color-text-main);
  font-weight: var(--font-weight-bold);
  margin-bottom: var(--space-sm);
}

.feature-text {
  font-size: var(--font-size-md);
  color: var(--color-text-muted);
  line-height: var(--line-height-normal);
}

.feature-icon {
  color: var(--color-primary-dark);
  height: var(--font-size-xl);
  width: var(--font-size-xl);
  margin-bottom: var(--space-md);
  background-color: var(--color-bg-light);
  border-radius: var(--radius-full);
  padding: var(--space-sm);
}

/* CTA */
.section-cta {
  padding: var(--space-3xl) var(--space-3xl) var(--space-4xl) var(--space-3xl);
}

.cta {
  display: grid;
  grid-template-columns: 2fr 1fr;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.1);
  border-radius: var(--radius-lg);
  background-image: linear-gradient(
    to right bottom,
    rgb(255, 168, 17),
    var(--color-primary-dark)
  );
  overflow: hidden;
  height: max-content;

  /* width: 80rem; */
}

.cta-form :is(input, select, button):focus {
  outline: none;
  box-shadow: 0 0 0 0.8rem rgb(0, 166, 255);
}

.cta .header-secondary {
  color: var(--color-brown);
  margin-bottom: var(--space-2xl);
}

.cta-text-box {
  color: var(--color-brown);
  padding: var(--space-xl) var(--space-2xl) var(--space-md) var(--space-2xl);
}

.cta-text {
  font-size: var(--font-size-lg);
  line-height: var(--line-height-normal);
  margin-bottom: var(--space-2xl);
}

.cta-img-box {
  background-image: linear-gradient(
      to right bottom,
      rgba(255, 168, 17, 0.1),
      rgba(255, 162, 0, 0.5)
    ),
    url("../img/eating.jpg");
  background-size: cover;
  background-position: center;
}

.cta-form {
  display: grid;
  padding-top: var(--space-md);
  padding-bottom: var(--space-xl);
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  column-gap: var(--space-lg);
  row-gap: var(--space-xl);
  min-height: 0;
}

.cta-form label {
  display: block;
  font-size: var(--font-size-sm);
  font-weight: var(--font-weight-semibold);
  margin-bottom: var(--space-sm);
}
.cta-form input {
  width: 100%;
  padding: var(--space-sm);
  font-size: var(--font-size-md);
  font-family: inherit;
  color: inherit;
  border: none;
  background-color: var(--color-bg-light);
  border-radius: 9px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
  line-height: 1.4;
}

.cta-form input::placeholder {
  color: #bbb;
}

.cta-form select {
  font-family: inherit;
  color: inherit;
  width: 100%;
  padding: var(--space-sm);
  font-size: var(--font-size-md);
  border: none;
  background-color: var(--color-bg-light);
  border-radius: 9px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
  line-height: 1.4;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.cta-form button {
  align-self: end;
}

.form-customer-source-field {
  grid-row: 2;
  grid-column: 1/3;
}

/* FOOTER */
.section-footer {
  padding: var(--space-3xl) 0;
  background-color: var(--color-bg-light);
  /* width: max-content; */
}

.grid--footer {
  grid-template-columns: 4fr 4fr 3fr 3fr 3fr;
  column-gap: 15rem;
}

.logo-col {
  display: flex;
  flex-direction: column;
}

.footer-logo {
  display: inline-block;
  margin-bottom: var(--space-md);
}

.social-links {
  list-style: none;
  display: flex;
  gap: var(--space-md);
}

.social-icon {
  height: 2.2rem;
  width: 2.2rem;
}

.copyright {
  font-size: var(--font-size-xs);
  color: var(--color-text-muted);
  line-height: 1.6rem;
  padding-bottom: var(--space-md);
  margin-top: auto;
}

.footer-header {
  font-size: var(--font-size-lg);
  font-weight: var(--font-weight-regular);
  margin-bottom: var(--space-lg);
  width: 100%;
}

.contacts {
  font-style: normal;
  font-size: var(--font-size-sm);
}

.street-address {
  font-size: var(--font-size-sm);
  color: var(--color-text-muted);
}

.footer-nav {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: var(--space-md);
}

.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  font-size: var(--font-size-sm);
  color: var(--color-text-muted);
  transition: all 300ms;
}

.footer-link:active,
.footer-link:hover {
  color: var(--color-text-main);
}

.logo-col {
  min-width: 0%;
}

.nav-col {
  min-width: 0%;
}

.address-col {
  min-width: 0%;
}
